- [HTTP request](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters/patch.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters/patch.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters/patch.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters/patch.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters/patch.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters/patch.md.txt#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/oracle/database/docs/reference/rest/v1/projects.locations.exadbVmClusters/patch.md.txt#body.aspect_1)

Updates a single Exadb (Exascale) VM Cluster. To add virtual machines to existing exadb vm cluster, only pass the node count.

### HTTP request

Choose an endpoint:
global asia-northeast2 asia-south2 asia-south1 australia-southeast2 europe-west8 northamerica-northeast2   
`PATCH https://oracledatabase.googleapis.com/v1/{exadbVmCluster.name=projects/*/locations/*/exadbVmClusters/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `exadbVmCluster.name` | `string` Identifier. The name of the ExadbVmCluster resource in the following format: projects/{project}/locations/{region}/exadbVmClusters/{exadbVmCluster} |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`FieldMask` format)`` Optional. A mask specifying which fields in th VM Cluster should be updated. A field specified in the mask is overwritten. If a mask isn't provided then the service treats this as an implied field mask equivalent to all fields that are populated (have a non-empty value). To clear or unset a field, the field must be explicitly specified in the `updateMask`. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `requestId` | `string` Optional. An optional ID to identify the request. This value is used to identify duplicate requests. If you make a request with the same request ID and the original request is still in progress or completed, the server ignores the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000). |

### Request body

The request body contains an instance of `ExadbVmCluster`.

### Response body

If successful, the response body contains an instance of `Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/oracle-database`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `oracledatabase.exadbVmClusters.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).